#! /usr/bin/env python


import sys, os

if len(sys.argv) == 1:
   start_dir = '.'
elif len(sys.argv) == 2:
   start_dir = sys.argv[1]
else:
   sys.exit("Usage: %s [start_dir]" % sys.argv[0])


def fix_playlist(arg, dirname, names):
   if dirname == '.': return

   has_mp3 = 0
   for filename in names:
      if filename.endswith(".mp3") or filename.endswith(".MP3"):
         has_mp3 = 1
         break

   if not has_mp3:
      return

   for filename in ("play.list", "list.m3u", "playlist.m3u"):
      if filename in names:
         if os.path.exists("PlayList.m3u"):
            sys.exit("ERROR: PlayList.m3u already exists!")

         fullname = "%s/%s" % (dirname, filename)
         print "Renaming", fullname
         os.rename(fullname, "%s/PlayList.m3u" % dirname)


os.path.walk(start_dir, fix_playlist, None)
